Subject: bug#25921: closed (Re: bug#25921: pkgsrc patches: Dragonfly support)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Mar 2017 11:28:02 +0000

Your bug report

#25921: pkgsrc patches: Dragonfly support

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25921: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25921
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25921: pkgsrc patches: Dragonfly support
From: Andy Wingo <[email-masked]>
To: Thomas Klausner <[email-masked]>
Cc: [email-masked], Greg Troxel <[email-masked]>
Date: Tue, 14 Mar 2017 12:27:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed 01 Mar 2017 21:27, Thomas Klausner <[email-masked]> writes:

> $NetBSD: patch-lib_signal.in.h,v 1.1 2016/12/03 03:15:33 marino Exp $
>
> DragonFly support.
>
> --- lib/signal.in.h.orig	2016-06-29 09:12:27 UTC
> +++ lib/signal.in.h
> @@ -61,6 +61,7 @@
>  #if (@GNULIB_PTHREAD_SIGMASK@ || defined GNULIB_POSIXCHECK) \
>      && ((defined __APPLE__ && defined __MACH__) \
>          || defined __FreeBSD__ || defined __OpenBSD__ || defined __osf__ \
> +        || defined __DragonFly__ \
>          || defined __sun || defined __ANDROID__) \
>      && ! defined __GLIBC__
>  # include <pthread.h>
>

This file comes from gnulib.  Can you send this patch there?
[email-masked].  That way you will fix it once and reap the benefits
many places.

> $NetBSD: patch-libguile_threads.c,v 1.1 2016/12/03 03:15:33 marino Exp $
>
> DragonFly support.
>
> --- libguile/threads.c.orig	2016-06-20 20:35:06 UTC
> +++ libguile/threads.c
> @@ -2252,7 +2252,7 @@ scm_ia64_ar_bsp (const void *opaque)
>    return (void *) ctx->uc_mcontext.sc_ar_bsp;
>  }
>  # endif /* linux */
> -# ifdef __FreeBSD__
> +# if defined __FreeBSD__ || defined __DragonFly__
>  #  include <ucontext.h>
>  void *

This is for ia64 support which AFAIU DragonFly doesn't do; I think you
can drop this one.

Closing this one as I think there's nothing for me to do here.

Andy

Subject: pkgsrc patches: Dragonfly support
From: Thomas Klausner <[email-masked]>
To: [email-masked]
Cc: Greg Troxel <[email-masked]>
Date: Wed, 1 Mar 2017 21:27:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

We have a couple of patches in pkgsrc for guile which I'd like to see
merged.

The attached ones are for supporting DragonFly
(https://www.dragonflybsd.org/) better.

Can you please merge them?
 Thomas
$NetBSD: patch-lib_signal.in.h,v 1.1 2016/12/03 03:15:33 marino Exp $

DragonFly support.

--- lib/signal.in.h.orig	2016-06-29 09:12:27 UTC
+++ lib/signal.in.h
@@ -61,6 +61,7 @@
 #if (@GNULIB_PTHREAD_SIGMASK@ || defined GNULIB_POSIXCHECK) \
     && ((defined __APPLE__ && defined __MACH__) \
         || defined __FreeBSD__ || defined __OpenBSD__ || defined __osf__ \
+        || defined __DragonFly__ \
         || defined __sun || defined __ANDROID__) \
     && ! defined __GLIBC__
 # include <pthread.h>
$NetBSD: patch-libguile_threads.c,v 1.1 2016/12/03 03:15:33 marino Exp $

DragonFly support.

--- libguile/threads.c.orig	2016-06-20 20:35:06 UTC
+++ libguile/threads.c
@@ -2252,7 +2252,7 @@ scm_ia64_ar_bsp (const void *opaque)
   return (void *) ctx->uc_mcontext.sc_ar_bsp;
 }
 # endif /* linux */
-# ifdef __FreeBSD__
+# if defined __FreeBSD__ || defined __DragonFly__
 #  include <ucontext.h>
 void *
 scm_ia64_register_backing_store_base (void)